<?php
/* Setter font, fontstørrelse, tekstposisjon og skriver kursdeltakerens navn i filen */
$pdf->SetFont("Arial", "B", 13);
$pdf->ln(84.0);
$pdf->cell(0, 0, "Silje Johansen", 0, 0, "C");

/* Setter ny tekstposisjon og skriver kursnavnet i filen */
$pdf->SetFont("Arial", "B");
$pdf->ln(40.0);
$pdf->cell(0, 0, "PDF og PHP", 0, 0, "C");

/* Setter ny tekstposisjon og skriver kursnavnet i filen */
$pdf->SetFont("Arial", "B");
$pdf->ln(35.0);
$pdf->cell(0, 0, "Meget godt", 0, 0, "C");

/* Setter ny fontstørrelse, ny tekstposisjon og skriver sted samt dagens dato */
$pdf->SetFont("Arial", "I", 10.5);
$pdf->SetXY(24, 200);
$pdf->Write(3, "Kristiansand, " . date("d.m.Y"));
$pdf->SetXY(24, 210);
$pdf->Write(3, "Birgitte Pedersen");

/* Plasserer et bilde av kursholderen i PDF-filen */
$pdf->Image("bp.jpg", 85, 200, 80, "", "", "", "", false, 100);

/* Lager PDF-fil og viser den i nettleseren */
$pdf->Output("I", "kursbevis.pdf");
?>