<?php
function er_ajax() {
    return isset($_SERVER['HTTP_X_REQUESTED_WITH']) &&
      $_SERVER['HTTP_X_REQUESTED_WITH'] == "XMLHttpRequest";
  }
  
function finn_nyheter($side) {
    $forste_nyhet = 1;
    $pr_side = 3;
    $sf = (($side - 1) * $pr_side) + 1;
    $nyheter = array();
    for($i=0; $i < $pr_side; $i++) {
        $url = "https://loripsum.net/api/2/medium/headers/";
        $ch=curl_init();
        $param = array(
            CURLOPT_URL => $url,
            CURLOPT_RETURNTRANSFER => true
        );
        curl_setopt_array($ch, $param);
        $resultat = curl_exec($ch);
        curl_close($ch);
  
        $dts = new DateTimeZone("Europe/Oslo");
        $dtf = new DateTime("now", $dts);
        $id = $forste_nyhet - 1 + $sf + $i;
      
        $nyhet = array(
            'id' => $id,
            'tidspunkt' => $dtf->format("H:i:s:u"),
            'topptekst' => "Nyhet #{$id}",
            'ntekst' => $resultat
        );
        $nyheter[] = $nyhet;
    }
    return $nyheter;
}
?>  