<?php
$sql = "SELECT * FROM medlemmer WHERE fnavn = :fnavn";
$sp = $pdo->prepare($sql);
$sp->bindParam(':fnavn', $fnavn, PDO::PARAM_STR);
$fnavn = "Silje";

try {
    $sp->execute();
} catch (PDOException $e) {
    echo $e->getMessage() . "<br>";
    // Denne feilmeldingen bør vi logge istedenfor å skrive den ut på skjermen
}

$medlemmer = $sp->fetchAll(PDO::FETCH_OBJ);
if($sp->rowCount() > 0) {
    foreach($medlemmer as $medlem) {
        echo $medlem->fnavn . " ";
        echo $medlem->enavn . ", ";
        echo $medlem->epost . "<br>";
    }
} else {
    echo "Spørringen returnerte ingen oppføringer";
}
?>