<?php
$sql = "SELECT m.fnavn, m.gateadresse, m.postnr, p.poststed FROM medlemmer AS m LEFT JOIN postadresser AS p ON (m.postnr = p.postnr) WHERE m.postnr > :postnr";
$sp = $pdo->prepare($sql);
$sp->bindParam(':postnr', $postnr, PDO::PARAM_INT);
$postnr = 9400;

try {
    $sp->execute();
} catch (PDOException $e) {
    echo $e->getMessage() . "<br>";
}

$medlemmer = $sp->fetchAll(PDO::FETCH_OBJ);
if($sp->rowCount() > 0) {
    foreach($medlemmer as $medlem) {
        echo $medlem->fnavn . ", ";
        echo $medlem->gateadresse . ", ";
        echo $medlem->postnr . ", ";
        echo $medlem->poststed . "<br>";
    }
} else {
    echo "Spørringen returnerte ingen oppføringer";
}
?>